<template>
  <v-btn :small=small :color=color @click="click">{{name}}</v-btn>
</template>

<script>
export default {
  props: {
    color: {
      type: String,
      required: true
    },
    small: {
      type: Boolean,
      required: false
    },
    name: {
      type: String,
      required: true
    },
    eventName: {
      type: String,
      required: true
    },
    datas: {
      required: false
    }
  },
  methods: {
    click: function () {
      this.$emit(this.eventName, this.datas)
    }
  }
}
</script>
